Sisällys

# Statistical Functions Part Five

## SKEWP

Calculates the skewness of a distribution using the population of a random variable.

This function is available since LibreOffice 4.1.

### Syntax

SKEWP(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

The parameters should specify at least three values.

This function is part of the Open Document Format for Office Applications (OpenDocument) standard Version 1.2. (ISO/IEC 26300:2-2015)

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

### Examples

SKEWP(2;3;1;6;8;5) returns 0.2329985562

SKEWP(A1:A6) returns 0.2329985562, when the range A1:A6 contains {2;3;1;6;8;5}

## DEVSQ

Returns the sum of squares of deviations based on a sample mean.

#### Syntax

DEVSQ(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=DEVSQ(A1:A50)

## FORECAST

Extrapolates future values based on existing x and y values.

#### Syntax

FORECAST(Value; DataY; DataX)

Value is the x value, for which the y value on the linear regression is to be returned.

DataY is the array or range of known y's.

DataX is the array or range of known x's.

#### Example

=FORECAST(50;A1:A50;B1;B50) returns the Y value expected for the X value of 50 if the X and Y values in both references are linked by a linear trend.

## FORECAST.LINEAR

Extrapolates future values based on existing x and y values.

#### Syntax

FORECAST.LINEAR(Value; DataY; DataX)

Value is the x value, for which the y value on the linear regression is to be returned.

DataY is the array or range of known y's.

DataX is the array or range of known x's.

#### Example

=FORECAST.LINEAR(50;A1:A50;B1;B50) returns the Y value expected for the X value of 50 if the X and Y values in both references are linked by a linear trend.

#### Teknistä tietoa

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.FORECAST.LINEAR

## NORM.S.DIST

Returns the standard normal cumulative distribution function. The distribution has a mean of zero and a standard deviation of one.

#### Syntax

NORM.S.DIST(Number; Cumulative)

Number is the value to which the standard normal cumulative distribution is calculated.

Cumulative 0 or FALSE calculates the probability density function. Any other value or TRUE calculates the cumulative distribution function.

#### Example

=NORM.S.DIST(1;0) returns 0.2419707245.

=NORM.S.DIST(1;1) returns 0.8413447461. The area below the standard normal distribution curve to the left of X value 1 is 84% of the total area.

#### Teknistä tietoa

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.NORM.S.DIST

## NORM.S.INV

Returns the inverse of the standard normal cumulative distribution.

#### Syntax

NORM.S.INV(Number)

Number is the probability to which the inverse standard normal distribution is calculated.

#### Example

=NORM.S.INV(0.908789) returns 1.333334673.

#### Teknistä tietoa

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.NORM.S.INV

## NORMSDIST

Returns the standard normal cumulative distribution function. The distribution has a mean of zero and a standard deviation of one.

It is GAUSS(x)=NORMSDIST(x)-0.5

#### Syntax

NORMSDIST(Number)

Number is the value to which the standard normal cumulative distribution is calculated.

#### Example

=NORMSDIST(1) returns 0.84. The area below the standard normal distribution curve to the left of X value 1 is 84% of the total area.

## NORMSINV

Returns the inverse of the standard normal cumulative distribution.

#### Syntax

NORMSINV(Number)

Number is the probability to which the inverse standard normal distribution is calculated.

#### Example

=NORMSINV(0.908789) returns 1.3333.

## PERMUT

Returns the number of permutations for a given number of objects.

#### Syntax

PERMUT(Count1; Count2)

Count1 is the total number of objects.

Count2 is the number of objects in each permutation.

#### Example

=PERMUT(6;3) returns 120. There are 120 different possibilities, to pick a sequence of 3 playing cards out of 6 playing cards.

## PERMUTATIONA

Returns the number of permutations for a given number of objects (repetition allowed).

#### Syntax

PERMUTATIONA(Count1; Count2)

Count1 is the total number of objects.

Count2 is the number of objects in each permutation.

#### Example

How often can 2 objects be selected from a total of 11 objects?

=PERMUTATIONA(11;2) returns 121.

=PERMUTATIONA(6;3) returns 216. There are 216 different possibilities to put a sequence of 3 playing cards together out of six playing cards if every card is returned before the next one is drawn.

## PROB

Returns the probability that values in a range are between two limits. If there is no End value, this function calculates the probability based on the principle that the Data values are equal to the value of Start.

#### Syntax

PROB(Data; Probability; Start [; End])

Data is the array or range of data in the sample.

Probability is the array or range of the corresponding probabilities.

Start is the start value of the interval whose probabilities are to be summed.

End (optional) is the end value of the interval whose probabilities are to be summed. If this parameter is missing, the probability for the Start value is calculated.

#### Example

=PROB(A1:A50;B1:B50;50;60) returns the probability with which a value within the range of A1:A50 is also within the limits between 50 and 60. Every value within the range of A1:A50 has a probability within the range of B1:B50.

## RANK

Returns the rank of a number in a sample.

#### Syntax

RANK(Value; Data [; Type])

Value is the value, whose rank is to be determined.

Data is the array or range of data in the sample.

Type (optional) is the sequence order.

Type = 0 means descending from the last item of the array to the first (this is the default),

Type = 1 means ascending from the first item of the range to the last.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=RANK(A10;A1:A50) returns the ranking of the value in A10 in value range A1:A50. If Value does not exist within the range an error message is displayed.

## RANK.AVG

Returns the statistical rank of a given value, within a supplied array of values. If there are duplicate values in the list, the average rank is returned.

The difference between RANK.AVG and RANK.EQ occurs when there are duplicates in the list of values. The RANK.EQ function returns the lower rank, whereas the RANK.AVG function returns the average rank.

#### Syntax

RANK.AVG(Value; Data [; Type])

Value is the value, whose rank is to be determined.

Data is the array or range of data in the sample.

Type (optional) is the sequence order.

Type = 0 means descending from the last item of the array to the first (this is the default),

Type = 1 means ascending from the first item of the range to the last.

#### Example

=RANK.AVG(A10;A1:A50) returns the ranking of the value in A10 in value range A1:A50. If Value does not exist within the range an error message is displayed.

#### Teknistä tietoa

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.RANK.AVG

## RANK.EQ

Returns the statistical rank of a given value, within a supplied array of values. If there are duplicate values in the list, these are given the same rank.

The difference between RANK.AVG and RANK.EQ occurs when there are duplicates in the list of values. The RANK.EQ function returns the lower rank, whereas the RANK.AVG function returns the average rank.

#### Syntax

RANK.EQ(Value; Data [; Type])

Value is the value, whose rank is to be determined.

Data is the array or range of data in the sample.

Type (optional) is the sequence order.

Type = 0 means descending from the last item of the array to the first (this is the default),

Type = 1 means ascending from the first item of the range to the last.

#### Example

=RANK.EQ(A10;A1:A50) returns the ranking of the value in A10 in value range A1:A50. If Value does not exist within the range an error message is displayed.

#### Teknistä tietoa

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.RANK.EQ

## SKEW

Returns the skewness of a distribution.

#### Syntax

SKEW(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

The parameters should specify at least three values.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=SKEW(A1:A50) calculates the value of skew for the data referenced.

## SLOPE

Returns the slope of the linear regression line. The slope is adapted to the data points set in the y and x values.

#### Syntax

SLOPE(DataY; DataX)

DataY is the array or matrix of Y data.

DataX is the array or matrix of X data.

#### Example

=SLOPE(A1:A50;B1:B50)

## STANDARDIZE

Converts a random variable to a normalized value.

#### Syntax

STANDARDIZE(Number; Mean; StDev)

Number is the value to be standardized.

Mean is the arithmetic mean of the distribution.

StDev is the standard deviation of the distribution.

#### Example

=STANDARDIZE(11;10;1) returns 1. The value 11 in a normal distribution with a mean of 10 and a standard deviation of 1 is as much above the mean of 10, as the value 1 is above the mean of the standard normal distribution.

## STDEV

Estimates the standard deviation based on a sample.

#### Syntax

STDEV(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

The parameters should specify at least two values.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=STDEV(A1:A50) returns the estimated standard deviation based on the data referenced.

## STDEV.P

Calculates the standard deviation based on the entire population.

#### Syntax

STDEV.P(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

#### Example

=STDEV.P(A1:A50) returns a standard deviation of the data referenced.

#### Teknistä tietoa

This function is available since LibreOffice 4.2.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.STDEV.P

## STDEV.S

Calculates the standard deviation based on sample of the population.

#### Syntax

STDEV.S(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

The parameters should specify at least two values.

#### Example

=STDEV.S(A1:A50) returns a standard deviation of the data referenced.

#### Teknistä tietoa

This function is available since LibreOffice 4.2.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.STDEV.S

## STDEVA

Calculates the standard deviation of an estimation based on a sample.

#### Syntax

STDEVA(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

The parameters should specify at least two values. Text has the value 0.

#### Example

=STDEVA(A1:A50) returns the estimated standard deviation based on the data referenced.

## STDEVP

Calculates the standard deviation based on the entire population.

#### Syntax

STDEVP(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=STDEVP(A1:A50) returns a standard deviation of the data referenced.

## STDEVPA

Calculates the standard deviation based on the entire population.

#### Syntax

STDEVPA(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

Text has the value 0.

#### Example

=STDEVPA(A1:A50) returns the standard deviation of the data referenced.

## STEYX

Returns the standard error of the predicted y value for each x in the regression.

#### Syntax

STEYX(DataY; DataX)

DataY is the array or matrix of Y data.

DataX is the array or matrix of X data.

#### Example

=STEYX(A1:A50;B1:B50)

## T.DIST

Returns the t-distribution.

#### Syntax

T.DIST(Number; DegreesFreedom; Cumulative)

Number is the value for which the t-distribution is calculated.

DegreesFreedom is the number of degrees of freedom for the t-distribution.

Cumulative = 0 or FALSE returns the probability density function, 1 or TRUE returns the cumulative distribution function.

#### Example

=T.DIST(1; 10; TRUE) returns 0.8295534338

#### Teknistä tietoa

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.T.DIST

## T.DIST.2T

Calculates the two-tailed Student's T Distribution, which is a continuous probability distribution that is frequently used for testing hypotheses on small sample data sets.

#### Syntax

T.DIST.2T(Number; DegreesFreedom)

Number is the value for which the t-distribution is calculated.

DegreesFreedom is the number of degrees of freedom for the t-distribution.

#### Example

=T.DIST.2T(1; 10) returns 0.3408931323.

#### Teknistä tietoa

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.T.DIST.2T

## T.DIST.RT

Calculates the right-tailed Student's T Distribution, which is a continuous probability distribution that is frequently used for testing hypotheses on small sample data sets.

#### Syntax

T.DIST.RT(Number; DegreesFreedom)

Number is the value for which the t-distribution is calculated.

DegreesFreedom is the number of degrees of freedom for the t-distribution.

#### Example

=T.DIST.RT(1; 10) returns 0.1704465662.

#### Teknistä tietoa

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.T.DIST.RT

## T.INV

Returns the one tailed inverse of the t-distribution.

#### Syntax

T.INV(Number; DegreesFreedom)

Number is the probability associated with the one-tailed t-distribution.

DegreesFreedom is the number of degrees of freedom for the t-distribution.

#### Example

=T.INV(0.1;6) returns -1.4397557473.

#### Teknistä tietoa

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.T.INV

## T.INV.2T

Calculates the inverse of the two-tailed Student's T Distribution , which is a continuous probability distribution that is frequently used for testing hypotheses on small sample data sets.

#### Syntax

T.INV.2T(Number; DegreesFreedom)

Number is the probability associated with the two-tailed t-distribution.

DegreesFreedom is the number of degrees of freedom for the t-distribution.

#### Example

=T.INV.2T(0.25; 10) returns 1.221255395.

#### Teknistä tietoa

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.T.INV.2T

## T.TEST

Returns the probability associated with a Student's t-Test.

#### Syntax

T.TEST(Data1; Data2; Mode; Type)

Data1 is the dependent array or range of data for the first record.

Data2 is the dependent array or range of data for the second record.

Mode = 1 calculates the one-tailed test, Mode = 2 the two- tailed test.

Type is the kind of t-test to perform. Type 1 means paired. Type 2 means two samples, equal variance (homoscedastic). Type 3 means two samples, unequal variance (heteroscedastic).

#### Example

=T.TEST(A1:A50;B1:B50;2;2)

#### Teknistä tietoa

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.T.TEST

## TDIST

Returns the t-distribution.

#### Syntax

TDIST(Number; DegreesFreedom; Mode)

Number is the value for which the t-distribution is calculated.

DegreesFreedom is the number of degrees of freedom for the t-distribution.

Mode = 1 returns the one-tailed test, Mode = 2 returns the two-tailed test.

#### Example

=TDIST(12;5;1)

## TINV

Returns the inverse of the t-distribution.

#### Syntax

TINV(Number; DegreesFreedom)

Number is the probability associated with the two-tailed t-distribution.

DegreesFreedom is the number of degrees of freedom for the t-distribution.

#### Example

=TINV(0.1;6) returns 1.94

## TTEST

Returns the probability associated with a Student's t-Test.

#### Syntax

TTEST(Data1; Data2; Mode; Type)

Data1 is the dependent array or range of data for the first record.

Data2 is the dependent array or range of data for the second record.

Mode = 1 calculates the one-tailed test, Mode = 2 the two- tailed test.

Type is the kind of t-test to perform. Type 1 means paired. Type 2 means two samples, equal variance (homoscedastic). Type 3 means two samples, unequal variance (heteroscedastic).

#### Example

=TTEST(A1:A50;B1:B50;2;2)

## VAR

Estimates the variance based on a sample.

#### Syntax

VAR(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

The parameters should specify at least two values.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=VAR(A1:A50)

## VAR.P

Calculates a variance based on the entire population.

#### Syntax

VAR.P(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

#### Example

=VAR.P(A1:A50)

#### Teknistä tietoa

This function is available since LibreOffice 4.2.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.VAR.P

## VAR.S

Estimates the variance based on a sample.

#### Syntax

VAR.S(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

The parameters should specify at least two values.

#### Example

=VAR.S(A1:A50)

#### Teknistä tietoa

This function is available since LibreOffice 4.2.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.VAR.S

## VARA

Estimates a variance based on a sample. The value of text is 0.

#### Syntax

VARA(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

The parameters should specify at least two values.

#### Example

=VARA(A1:A50)

## VARP

Calculates a variance based on the entire population.

#### Syntax

VARP(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=VARP(A1:A50)

## VARPA

Calculates the variance based on the entire population. The value of text is 0.

#### Syntax

VARPA(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

#### Example

=VARPA(A1:A50)

## WEIBULL

Returns the values of the Weibull distribution.

The Weibull distribution is a continuous probability distribution, with parameters Alpha > 0 (shape) and Beta > 0 (scale).

If C is 0, WEIBULL calculates the probability density function.

If C is 1, WEIBULL calculates the cumulative distribution function.

#### Syntax

WEIBULL(Number; Alpha; Beta; C)

Number is the value at which to calculate the Weibull distribution.

Alpha is the shape parameter of the Weibull distribution.

Beta is the scale parameter of the Weibull distribution.

C indicates the type of function.

#### Example

=WEIBULL(2;1;1;1) returns 0.86.

See also the Wiki page.

## WEIBULL.DIST

Returns the values of the Weibull distribution.

The Weibull distribution is a continuous probability distribution, with parameters Alpha > 0 (shape) and Beta > 0 (scale).

If C is 0, WEIBULL.DIST calculates the probability density function.

If C is 1, WEIBULL.DIST calculates the cumulative distribution function.

#### Syntax

WEIBULL.DIST(Number; Alpha; Beta; C)

Number is the value at which to calculate the Weibull distribution.

Alpha is the shape parameter of the Weibull distribution.

Beta is the scale parameter of the Weibull distribution.

C indicates the type of function.

#### Example

=WEIBULL.DIST(2;1;1;1) returns 0.8646647168.

#### Teknistä tietoa

This function is available since LibreOffice 4.2.

See also the Wiki page.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.WEIBULL.DIST

Aiheeseen liittyvää

Functions by Category